This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 200310 - Review Request: pyicq-t - ICQ transport for Jabber servers
Review Request: pyicq-t - ICQ transport for Jabber servers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fleming
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-26 15:51 EDT by Jeffrey C. Ollie
Modified: 2009-05-27 11:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-05 21:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-07-26 15:51:46 EDT
Spec URL: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pyicqt-0.7-1.fc5.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pyicqt-0.7-1.fc5.src.rpm
Description:

The ICQ Transport provides a gateway which allows Jabber users to
communicate with their contacts on the ICQ network.
Comment 1 Jochen Schmitt 2006-07-27 13:54:20 EDT
Good:
+ Tar ball match with upstream.
+ Local build works fine.
+ No complaints for source rpm from rpmlint
+ No complaints for binaries rpm from rpmlint.
+ Mock build works fine.


Bad:
- Tar file has the name pyicq-t but the package is called pyicqt.
- when I start /etc/init.d/pyicqtt start, I will got the following message:
/etc/init.d/pyicqt start
Starting ICQ transport:
/usr/lib/python2.4/site-packages/twisted/words/__init__.py:21: UserWarning:
twisted.words will be undergoing a rewrite at some point in the future.
  warnings.warn("twisted.words will be undergoing a rewrite at some point in the
future.")
Comment 2 Jeffrey C. Ollie 2006-07-27 14:52:31 EDT
(In reply to comment #1)
> Good:
> + Tar ball match with upstream.
> + Local build works fine.
> + No complaints for source rpm from rpmlint
> + No complaints for binaries rpm from rpmlint.
> + Mock build works fine.
> 
> Bad:
> - Tar file has the name pyicq-t but the package is called pyicqt.

I'll change that in the next rev...

> - when I start /etc/init.d/pyicqtt start, I will got the following message:
> /etc/init.d/pyicqt start
> Starting ICQ transport:
> /usr/lib/python2.4/site-packages/twisted/words/__init__.py:21: UserWarning:
> twisted.words will be undergoing a rewrite at some point in the future.
>   warnings.warn("twisted.words will be undergoing a rewrite at some point in the
> future.")

Yeah, I get that too.  Until the pyicq-t authors update their code, I don't know
what can be done, as this message is generated by twisted:

[root@anim01 ~]# python
Python 2.4.3 (#1, Jun 13 2006, 16:41:18)
[GCC 4.0.2 20051125 (Red Hat 4.0.2-8)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import twisted.words
/usr/lib/python2.4/site-packages/twisted/words/__init__.py:21: UserWarning:
twisted.words will be undergoing a rewrite at some point in the future.
  warnings.warn("twisted.words will be undergoing a rewrite at some point in the
future.")
Comment 3 Paul Howarth 2006-07-28 06:08:42 EDT
Updated twisted packages will be going into FE devel at some point; see Bug
#171543 where you can find some release candidate packages to try.
Comment 4 Jeffrey C. Ollie 2006-07-30 23:19:29 EDT
Spec: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pyicq-t-0.7-2.fc5.spec
SRPM: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pyicq-t-0.7-2.fc5.src.rpm

%changelog
* Sun Jul 30 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-2
- Rename to pyicq-t
- Change Group tag
Comment 5 Jochen Schmitt 2006-08-01 14:37:56 EDT
rpmlint dows complaints the following on the binary rpm:

rpmlint pyicq-t-0.7-2.noarch.rpm
E: pyicq-t obsolete-not-provided pyicqt
W: pyicq-t incoherent-init-script-name pyicqt

Comment 6 Jeffrey C. Ollie 2006-08-03 12:17:24 EDT
Spec: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pyicq-t-0.7-3.fc5.spec
SRPM: http://repo.ocjtech.us/misc/fedora/5/SRPMS/pyicq-t-0.7-3.fc5.src.rpm

%changelog
* Wed Aug  2 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-3
- Rename more stuff to pyicq-t
Comment 7 Jochen Schmitt 2006-08-03 13:37:46 EDT
I can approve your package.
Comment 8 Jeffrey C. Ollie 2006-08-05 21:11:35 EDT
Thanks for the review!  Imported and built for devel, branches requested for
FC-4 and FC-5.
Comment 9 Michael Fleming 2009-05-26 19:54:32 EDT
Package Change Request
======================
Package Name: pyicq-t
New Branches: EL-4 EL-5
Owners: mfleming
Comment 10 Jason Tibbitts 2009-05-27 11:30:55 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.